/*****************************************************************************
 * $Id: game_class.hh,v 1.3 2005/06/21 20:17:10 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See game.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_CLASS_HH
#define GAME_CLASS_HH 1
// Hide game class from other modules.
#if COMPILING_GAME

#include "game_base_class.hh"

#include "game_defs.hh"		// defines GAME_MODULE etc

#if GAME_MODULE == GAME_MODULE_PONY
#include "game_pony_class.hh"
extern GamePony gGame;
#else
#error
#endif

#endif // COMPILING_GAME
#endif // GAME_CLASS_HH
