/*****************************************************************************
 * $Id: game_world.hh,v 1.7 2005/06/21 20:17:10 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See game.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_WORLD_HH
#define GAME_WORLD_HH 1

#include "game_defs.hh"		// defines GAME_MODULE etc

#if GAME_MODULE == GAME_MODULE_PONY
#	include "game_pony_world.hh"
#	define GAME_WORLD_CLASS	GamePonyWorld
#else
#	error
#endif
extern GAME_WORLD_CLASS gWorld;

#endif // GAME_WORLD_HH
