/*****************************************************************************
 * $Id: game_pony_listeners.hh,v 1.9 2005/07/10 23:21:19 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Event listeners.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_GAME_PONY

// Reused for declaring listeners as friends of the game class.

#undef GAME_PONY_LISTENERS
#undef GAME_PONY_LISTENER_TYPE
#if GAME_PONY_LISTENERS_FRIEND
#	define GAME_PONY_LISTENERS			1
#	define GAME_PONY_LISTENER_TYPE		friend
#elif GAME_PONY_LISTENERS_CC
#	define GAME_PONY_LISTENERS			1
#	define GAME_PONY_LISTENER_TYPE
#endif

#if GAME_PONY_LISTENERS

GAME_PONY_LISTENER_TYPE void
Listener_GamePony_EngineReady( void );

GAME_PONY_LISTENER_TYPE void
Listener_GamePony_ResetScene( void );

GAME_PONY_LISTENER_TYPE void
Listener_GamePony_PreDrawViews( void );

GAME_PONY_LISTENER_TYPE void
Listener_GamePony_LodUserChanged( void );

GAME_PONY_LISTENER_TYPE void
Listener_GamePony_PrintStats( void );

#endif // GAME_PONY_LISTENERS

#endif // COMPILING_GAME_PONY
