/*****************************************************************************
 * $Id: game_config.hh,v 1.3 2005/06/21 20:17:10 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See game.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GAME_CONFIG_HH
#define GAME_CONFIG_HH 1

#include "game_defs.hh"		// defines GAME_MODULE etc

#if GAME_MODULE == GAME_MODULE_PONY
#	include "game_pony_config.hh"
#else
#	error
#endif

#endif // GAME_CONFIG_HH
